<script setup lang="ts">
import { useAppStore } from '@/stores/app'

const props = defineProps<{
  auth: 'tequila' | 'email'
  sciper?: string
  email?: string
}>()

const app = useAppStore()

function report() {
  app.setGlobalReport('ListError', {
    sciper: props.sciper,
    email: props.email
  })
}
</script>

<template>
  <div
    class="p-4 mb-4 text-red-800 border border-red-300 rounded-lg bg-red-50 dark:bg-gray-800 dark:text-red-400 dark:border-red-800"
    role="alert"
  >
    <div class="flex items-center">
      <svg
        class="flex-shrink-0 w-4 h-4 me-2"
        aria-hidden="true"
        xmlns="http://www.w3.org/2000/svg"
        fill="currentColor"
        viewBox="0 0 20 20"
      >
        <path
          d="M10 .5a9.5 9.5 0 1 0 9.5 9.5A9.51 9.51 0 0 0 10 .5ZM9.5 4a1.5 1.5 0 1 1 0 3 1.5 1.5 0 0 1 0-3ZM12 15H8a1 1 0 0 1 0-2h1v-3H8a1 1 0 0 1 0-2h2a1 1 0 0 1 1 1v4h1a1 1 0 0 1 0 2Z"
        />
      </svg>
      <span class="sr-only">Info</span>
      <h3 v-if="props.auth === 'email'" class="text-lg font-medium">
        {{ $t('emailLogin.listWarning') }}
      </h3>
      <h3 v-else class="text-lg font-medium">{{ $t('emailLogin.listWarning') }}</h3>
    </div>
    <div class="mt-2 mb-4 text-sm">
      <p v-if="props.auth === 'email'" class="whitespace-pre-line">
        {{ $t('emailLogin.listWarningDescription') }}
      </p>
      <p v-else class="whitespace-pre-line">{{ $t('errorPage.tequilaListErrorDescription') }}</p>
    </div>
    <div class="flex flex-row-reverse">
      <button
        @click="report"
        type="button"
        class="text-white bg-red-800 hover:bg-red-900 focus:ring-4 focus:outline-none focus:ring-red-300 font-medium rounded-lg text-xs px-3 py-1.5 me-2 text-center inline-flex items-center dark:bg-red-600 dark:hover:bg-red-700 dark:focus:ring-red-800"
      >
        <svg
          class="me-2 w-4 h-4"
          aria-hidden="true"
          xmlns="http://www.w3.org/2000/svg"
          width="24"
          height="24"
          fill="currentColor"
          viewBox="0 0 24 24"
        >
          <path
            d="M11.209 3.816a1 1 0 0 0-1.966.368l.325 1.74a5.338 5.338 0 0 0-2.8 5.762l.276 1.473.055.296c.258 1.374-.228 2.262-.63 2.998-.285.52-.527.964-.437 1.449.11.586.22 1.173.75 1.074l12.7-2.377c.528-.1.418-.685.308-1.27-.103-.564-.636-1.123-1.195-1.711-.606-.636-1.243-1.306-1.404-2.051-.233-1.085-.275-1.387-.303-1.587-.009-.063-.016-.117-.028-.182a5.338 5.338 0 0 0-5.353-4.39l-.298-1.592Z"
          />
          <path
            fill-rule="evenodd"
            d="M6.539 4.278a1 1 0 0 1 .07 1.412c-1.115 1.23-1.705 2.605-1.83 4.26a1 1 0 0 1-1.995-.15c.16-2.099.929-3.893 2.342-5.453a1 1 0 0 1 1.413-.069Z"
            clip-rule="evenodd"
          />
          <path d="M8.95 19.7c.7.8 1.7 1.3 2.8 1.3 1.6 0 2.9-1.1 3.3-2.5l-6.1 1.2Z" />
        </svg>

        {{ $t('ui.report') }}
      </button>
    </div>
  </div>
</template>
